#include <bits/stdc++.h>

using namespace std;

int n, r=0, l, H[1010];

int main(){
	scanf("%d",&n);
	scanf("%d",&l);
    for(int i=1; i<=n; i++)
    	scanf("%d",&H[i]);
	
	for(int i=1; i<=n; i++){
		if(H[i]<=l){
			r = i;
			i = n;
		}
	}
	
	if(r==0)
		r = -1;
		
	printf("%d",r);
    
    return 0;
}